Verification Status
Check the status of a verification session.
Get session status.
A Wallet Service session can be in one of the following states:
- IN_PROGRESS: The session is ongoing and waiting for response.
- CONSENT_REQUEST_READY: User consent is required. All necessary
information for the end user is included in this state.
- VERIFY_SUCCEEDED: Credential verification completed successfully.
- VERIFY_FAILED: Credential verification failed.
Path Parameters
walletId*string
The unique identifier of the Wallet.
Format
uuidverificationSessionId*string
A unique ID of the verify session.
Format
uuidHeader Parameters
Authorization*string
Token for authenticating requests to the FortID Wallet Service.
Response Body
application/json
application/json
curl -X POST "https://ews.fortid.com/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/verify/497f6eca-6276-4993-bfeb-53cbbbba6f08/session-status" \ -H "Authorization: Bearer {access_token}"{
"status": "CONSENT_REQUEST_READY",
"consentRequestObject": {
"validated_authorization_request": {
"client_id": "https://www.verifier.com/openid4vp/response_uri",
"response_uri": "https://www.verifier.com/openid4vp/response_uri",
"response_type": "vp_token",
"response_mode": "direct_post",
"presentation_definition": {
"id": "32f54163-aaaa-48f1-93d8-ff217bdb0653",
"input_descriptors": [
{
"constraints": {
"fields": [
{
"path": [
"$.name"
]
}
]
},
"id": "68a3214f-bbbb-6895-dada-22ff7bdb3434"
}
]
},
"presentation_definition_uri": "https://www.verifier.com/protocol/oid4vp/presentation-definition/32f54163-aaaa-48f1-93d8-ff217bdb0653",
"nonce": "c34khDJ8j2aYIq",
"state": "32f54163-aaaa-48f1-93d8-ff217bdb0653",
"client_metadata": {
"vp_formats": {
"vc+sd-jwt": {
"sd-jwt_alg_values": [
"ES256"
],
"kb-jwt_alg_values": [
"ES256"
]
}
}
}
},
"matching_credentials": [
{
"id": "string",
"decoded_payload": {
"vc+sd-jwt": {
"iss": "https://www.issuer.com",
"vct": "https://www.issuer.com/dummy-credential",
"name": "John"
}
}
}
]
}
}{
"message": "Issuance session with ID dd6473c2-2043-4523-b359-ceb596ddae66 not found"
}Empty